## org.eclipse.emf.codegen.ecore.genmodel.handler
Class GenerateHandler.GenModelSelectionDialog.GenModelResourceFilter

    java.lang.Object
      org.eclipse.ui.dialogs.FilteredItemsSelectionDialog.ItemsFilter
          org.eclipse.ui.dialogs.FilteredResourcesSelectionDialog.ResourceFilter
              org.eclipse.emf.codegen.ecore.genmodel.handler.GenerateHandler.GenModelSelectionDialog.GenModelResourceFilter

Enclosing class:
  GenerateHandler.GenModelSelectionDialog

    protected class GenerateHandler.GenModelSelectionDialog.GenModelResourceFilter

extends FilteredResourcesSelectionDialog.ResourceFilter

Field Summary

Fields inherited from class org.eclipse.ui.dialogs.FilteredItemsSelectionDialog.ItemsFilter
`patternMatcher`

Constructor Summary
`GenerateHandler.GenModelSelectionDialog.GenModelResourceFilter(IContainer container)`

Method Summary
`boolean` `matchItem(java.lang.Object item)`

Methods inherited from class org.eclipse.ui.dialogs.FilteredResourcesSelectionDialog.ResourceFilter
`equalsFilter, isConsistentItem, isShowDerived, isSubFilter`

Methods inherited from class org.eclipse.ui.dialogs.FilteredItemsSelectionDialog.ItemsFilter
`getMatchRule, getPattern, isCamelCasePattern, matches, matchesRawNamePattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateHandler.GenModelSelectionDialog.GenModelResourceFilter

    public GenerateHandler.GenModelSelectionDialog.GenModelResourceFilter(IContainer container)

Method Detail

### matchItem

    public boolean matchItem(java.lang.Object item)

  Overrides:
    `matchItem` in class `FilteredResourcesSelectionDialog.ResourceFilter`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.